<!doctype html>
<html lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<main>
    <h1>HW3 Q&A</h1>

    <h4>Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.</h4>
    <p>
        Цикли потрібні для того, щоб виконувати одні й ті ж дії декілька разів, але з різними даними.
        Наприклад, якщо потрібно вивести на екран числа від 1 до 10, то можна використати цикл for.
    </p>

    <h4>Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.</h4>
    <p>
        Для перебору масивів використовую for, for...of, forEach. Також використовую for для виведення чисел від 1 до 10.
        Для перебору об'єктів використовую for...in. Для виконання дій поки виконується певна умова використовую while.
    </p>

    <h4>Що таке явне та неявне приведення (перетворення) типів даних у JS?</h4>
    <p>
        Явне приведення типів - це коли ми вказуємо якого типу має бути змінна. Наприклад, Number('123') - перетворить рядок в число.
        Неявне приведення типів - це коли ми не вказуємо якого типу має бути змінна, а JS сам визначає тип. Наприклад, '123' + 1 - перетворить число в рядок.
    </p>
</main>

<script src="./js/script.js"> </script>
</body>
</html>